Package com.ocient.jdbc.proto

# Enum Class ClientWireProtocol.LocalQueries.OneIdentityOptionCase

java.lang.Object
java.lang.Enum<ClientWireProtocol.LocalQueries.OneIdentityOptionCase>
com.ocient.jdbc.proto.ClientWireProtocol.LocalQueries.OneIdentityOptionCase

All Implemented Interfaces:
  `AbstractMessageLite.InternalOneOfEnum`, `Internal.EnumLite`, `Serializable`, `Comparable<ClientWireProtocol.LocalQueries.OneIdentityOptionCase>`, `Constable`

Enclosing class:
  ClientWireProtocol.LocalQueries

public static enum ClientWireProtocol.LocalQueries.OneIdentityOptionCase extends Enum<ClientWireProtocol.LocalQueries.OneIdentityOptionCase> implements Internal.EnumLite, AbstractMessageLite.InternalOneOfEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ONEIDENTITYOPTION_NOT_SET`
`UUID_IDENTITY`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase`
`forNumber(int value)`
`int`
`getNumber()`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase`
`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UUID_IDENTITY

@Deprecated public static final ClientWireProtocol.LocalQueries.OneIdentityOptionCase UUID_IDENTITY
Deprecated.

### ONEIDENTITYOPTION_NOT_SET

public static final ClientWireProtocol.LocalQueries.OneIdentityOptionCase ONEIDENTITYOPTION_NOT_SET

## Method Details

### values

public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase forNumber(int value)

### getNumber

public int getNumber()
Description copied from interface: `AbstractMessageLite.InternalOneOfEnum`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.

Specified by:
  `getNumber` in interface `AbstractMessageLite.InternalOneOfEnum`
Specified by:
  `getNumber` in interface `Internal.EnumLite`